# Generated by Django 3.2 on 2023-10-19 07:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0023_datadetailfasilitasolahraga_datafasilitasolahraga'),
    ]

    operations = [
        migrations.RenameField(
            model_name='datadetailfasilitasolahraga',
            old_name='event',
            new_name='ketua',
        ),
        migrations.RenameField(
            model_name='datadetailfasilitasolahraga',
            old_name='nama',
            new_name='namakelompok',
        ),
        migrations.RenameField(
            model_name='datadetailfasilitasolahraga',
            old_name='prestasi',
            new_name='pelatihan',
        ),
        migrations.AddField(
            model_name='datadetailfasilitasolahraga',
            name='jml_anggota',
            field=models.IntegerField(null=True),
        ),
        migrations.CreateModel(
            name='dataAtlet',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodefasilitas', models.TextField(null=True)),
                ('nama', models.TextField(null=True)),
                ('event', models.TextField(null=True)),
                ('prestasi', models.TextField(null=True)),
                ('fasilitas', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datafasilitasolahraga')),
            ],
        ),
    ]
